Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0006855opensim[REGION] Script Functionspublic2013-11-17 23:462016-06-27 02:33
Reporterdjphil 
Assigned Todjphil 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformPCOSWindowsOS VersionSeven
Product Version 
Target VersionFixed in Versionmaster (dev code) 
Summary0006855: [SCRIPT] llDetectedLinkNumber broken with collision in a link set
DescriptionllDetectedLinkNumber don't work with collision event in a link set ...
That work fine in SL, i have tested with the script below.
Steps To Reproducedefault
{
    state_entry()
    {
        // llVolumeDetect(TRUE);
        // llPassCollisions(TRUE);
        // llPassTouches(TRUE);
    }
    collision_start(integer number)
    {
        integer i;
        for (i = 0; i < number; ++i)
            llSay(0, (string)number + ") Lien " +
                     (string) llDetectedLinkNumber(i) + " touché par " + llDetectedName(0));
    }
    
    touch_start(integer number)
    {
        integer i;
        for (i = 0; i < number; ++i)
            llSay(0, (string)number + ") Lien " +
                     (string) llDetectedLinkNumber(i) + " touché par " + llDetectedName(0));
    }
}
TagsNo tags attached.
Git Revision or version numberOsGrid 0.8.0
Run Mode Grid (Multiple Regions per Sim)
Physics EngineBulletSim
Environment.NET / Windows32
Mono VersionNone
ViewerSingularity, FireStorm
Attached Files

- Relationships

-  Notes
(0024726)
dz (reporter)
2013-11-18 09:09

I'm pretty sure this is expected/documented behavior..

http://wiki.secondlife.com/wiki/LlVolumeDetect [^] specifies...

"Caveats
    llDetectedLinkNumber will return 0 in collision_start and collision_end events of VolumeDetect objects (SVC-2996).... "

I believe your script will work if you change the collision_start to a collision event and make the object PHANTOM instead of VOLUMEDETECT.
(0024793)
djphil (reporter)
2013-12-01 07:48
edited on: 2013-12-01 07:49

@dz: As I said earlier, I tried this script in Second Life and it works fine.

- However, I tried what you said and it does not work.
So i think you made mistake ... Have you try ?

NB: Should not simply detect a collision, it must detect the prim here was collides.

(0026605)
djphil (reporter)
2014-07-26 04:45

Currently in Version v0.8.1 OSG I found that the problem persists. Have you tried to fix this bug? I do not see any information about it. Thank you in advance.
(0030797)
djphil (reporter)
2016-06-27 02:33

Works beautifully, thank you!

- Issue History
Date Modified Username Field Change
2013-11-17 23:46 djphil New Issue
2013-11-18 09:09 dz Note Added: 0024726
2013-12-01 07:48 djphil Note Added: 0024793
2013-12-01 07:49 djphil Note Edited: 0024793 View Revisions
2014-07-26 04:45 djphil Note Added: 0026605
2016-06-27 02:33 djphil Status new => resolved
2016-06-27 02:33 djphil Resolution open => fixed
2016-06-27 02:33 djphil Assigned To => djphil
2016-06-27 02:33 djphil Note Added: 0030797
2016-06-27 02:33 djphil Status resolved => closed
2016-06-27 02:33 djphil Fixed in Version => master (dev code)


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker